Bug 1354500 (CVE-2016-5010) - CVE-2016-5010 ImageMagick: Out-of-bounds read when processing crafted tiff file
Summary: CVE-2016-5010 ImageMagick: Out-of-bounds read when processing crafted tiff file
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-5010
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160714,reported=2...
Depends On: 1361578
Blocks: 1354508 1378785
TreeView+ depends on / blocked
 
Reported: 2016-07-11 12:36 UTC by Adam Mariš
Modified: 2019-06-08 21:19 UTC (History)
11 users (show)

Fixed In Version: ImageMagick 6.9.5-3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-03 23:56:28 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-11 12:36:34 UTC
An out-of-bounds heap read vulnerability in ImageMagick compiled with TIFF support that can be triggered by running mogrify on crafted TIFF file was found.

Comment 1 Adam Mariš 2016-07-11 12:36:44 UTC
Acknowledgments:

Name: Shi Pu (China Electronic Technology Cyber Security)

Comment 5 Adam Mariš 2016-07-29 12:41:10 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1361578]

Comment 7 Stefan Cornelius 2018-04-03 23:56:28 UTC
In reply to comment 4:
> Upstream patch:
> 
> http://git.imagemagick.org/repos/ImageMagick/commit/
> c20de102cc57f3739a8870f79e728e3b0bea18c0

Having trouble accessing this, but https://github.com/ImageMagick/ImageMagick/commit/803bc34ebe023f209f745baf8a112610ff77cc8c works and appears to fix this issue.

Comment 8 Stefan Cornelius 2018-04-03 23:56:40 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.